boost::geometry::concept::MultiPoint< Geometry > Class Template Reference
geometry concepts: defines and checks concepts for geometries

MultiPoint concept. More...

## Detailed Description

### template<typename Geometry>
class boost::geometry::concept::MultiPoint< Geometry >

MultiPoint concept.

Formal definition:
  The multi point concept is defined as following:
  - there must be a specialization of traits::tag defining multi_point_tag as type
  - it must behave like a Boost.Range
  - its range value must fulfil the Point concept

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK